/**Begin D:\PDM_UPGRADE\PDM1\CAQM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_REVIEWFORM')
 CREATE TABLE T_CAQM_REVIEWFORM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREVIEWPROCESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_REVIEWFORM_L')
 CREATE TABLE T_CAQM_REVIEWFORM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREVIEWPROCESS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_EXAMARRENTRY' AND KSQL_COL_NAME ='FEXAMERBOSUSER')
 ALTER TABLE T_CAQM_EXAMARRENTRY ADD (FEXAMERBOSUSER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_EXAMSCHEDULE' AND KSQL_COL_NAME ='FREVIEWFORMID')
 ALTER TABLE T_CAQM_EXAMSCHEDULE ADD (FREVIEWFORMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_EXAMSCHEDULE' AND KSQL_COL_NAME ='FREVIEWDURATION')
 ALTER TABLE T_CAQM_EXAMSCHEDULE ADD (FREVIEWDURATION BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_EXAMSCHEDULE' AND KSQL_COL_NAME ='FRESOERBOSUSER')
 ALTER TABLE T_CAQM_EXAMSCHEDULE ADD (FRESOERBOSUSER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_EXAMSCHEDULE' AND KSQL_COL_NAME ='FREVIEWLOCATION')
 ALTER TABLE T_CAQM_EXAMSCHEDULE ADD (FREVIEWLOCATION VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_EXAMSCHEDULE' AND KSQL_COL_NAME ='FREVIEWBEGINTIME')
 ALTER TABLE T_CAQM_EXAMSCHEDULE ADD (FREVIEWBEGINTIME DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_APELARRENTRY' AND KSQL_COL_NAME ='FEXAMERBOSUSER')
 ALTER TABLE T_CAQM_APELARRENTRY ADD (FEXAMERBOSUSER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_APPEALARRANGE' AND KSQL_COL_NAME ='FREVIEWFORMID')
 ALTER TABLE T_CAQM_APPEALARRANGE ADD (FREVIEWFORMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_APPEALARRANGE' AND KSQL_COL_NAME ='FREVIEWDURATION')
 ALTER TABLE T_CAQM_APPEALARRANGE ADD (FREVIEWDURATION BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_APPEALARRANGE' AND KSQL_COL_NAME ='FRESOERBOSUSER')
 ALTER TABLE T_CAQM_APPEALARRANGE ADD (FRESOERBOSUSER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_APPEALARRANGE' AND KSQL_COL_NAME ='FREVIEWLOCATION')
 ALTER TABLE T_CAQM_APPEALARRANGE ADD (FREVIEWLOCATION VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_APPEALARRANGE' AND KSQL_COL_NAME ='FREVIEWBEGINTIME')
 ALTER TABLE T_CAQM_APPEALARRANGE ADD (FREVIEWBEGINTIME DATETIME );



/**End D:\PDM_UPGRADE\PDM1\CAQM_table.sql **/